// $Id: BuddyListEvent.java,v 1.4 2000/03/08 15:31:20 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to notify that a buddy list changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class BuddyListEvent 
    extends java.util.EventObject 
{
    private final String group;

    BuddyListEvent(Object source, String group) {
	super(source);
	this.group = group;
    }

    /**
     * Returns the group that changed.
     */
    public String getGroup() {
	return group;
    }
}
