// $Id: ClientFactory.java,v 1.3 2000/03/08 15:31:20 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * A client of the model must implement this interface.  The startup
 * procedure creates the model and then creates the rest of the client
 * by invoking the method declared by this interface.
 * @see ClientStart
 * @author John D. Ramsdell
 * @version February 2000 
 */
public interface ClientFactory
{
    /**
     * Creates a client given a model.
     */
    public void makeClient(ClientModel cm);
}
