// $Id: LeaseEvent.java,v 1.2 2000/03/08 15:31:22 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.*;

/**
 * Used to notify that a subscription has been leased or lapsed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class LeaseEvent 
    extends java.util.EventObject 
{
    private final IMA place;

    LeaseEvent(Object source, IMA place) {
	super(source);
	this.place = place;
    }

    /**
     * Returns the place containing the presence information of interest.
     */
    public IMA getPlace() {
	return place;
    }
}
