// $Id: ProfileAnswer.java,v 1.4 2000/03/08 15:31:22 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.XmlProperties;

/**
 * Used to return a profile in an answer.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class ProfileAnswer
    extends Answer
{  
    private final XmlProperties xp;

    ProfileAnswer(boolean error, String message, XmlProperties xp) {
	super(error, message);
	this.xp = xp;
    }

    /**
     * Returns the profile in this answer.
     */
    public XmlProperties getProfile() {
	return xp;
    }
}
