// $Id: ProfileChangedEvent.java,v 1.3 2000/03/08 15:31:22 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.XmlProperties;

/**
 * Used to notify that a profile has changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class ProfileChangedEvent 
    extends java.util.EventObject 
{
    private final XmlProperties profile;

    ProfileChangedEvent(Object source, XmlProperties profile) {
	super(source);
	this.profile = profile;
    }

    /**
     * Returns the profile associated with this event.
     */
    public XmlProperties getProfile() {
	return profile;
    }
}
