// $Id: SubscriberEvent.java,v 1.2 2000/03/08 15:31:22 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.*;

/**
 * Used to notify that someone's subscription to your presence
 * information has changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class SubscriberEvent 
    extends java.util.EventObject 
{
    private final IMA subscriber;

    SubscriberEvent(Object source, IMA subscriber) {
	super(source);
	this.subscriber = subscriber;
    }

    /**
     * Returns the subscriber to your presence information.
     */
    public IMA getSubscriber() {
	return subscriber;
    }
}
