// $Id: LoginListener.java,v 1.1 2000/03/13 11:21:31 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.launcher;

/**
 * The listener interface for receiving login events. 
 *
 * @version October 1997
 * @author John D. Ramsdell
 */
public interface LoginListener 
    extends java.util.EventListener
{
  /**
   * Invoked when a login event occurs.
   */
  void performLogin(LoginEvent e);
}
