// $Id: LogListener.java,v 1.3 2000/02/29 20:29:53 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

/**
 * The listener interface for receiving log messages.
 * @author John D. Ramsdell
 * @version February 2000
 */
public interface LogListener
    extends java.util.EventListener 
{
    /**
     * Invoked when a logging message is generated.
     */
    public void messageGenerated(LogEvent e);
}
