// $Id: XpEvent.java,v 1.4 2000/03/01 15:43:16 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.util;

/**
 * An XML Properties event.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class XpEvent 
    extends java.util.EventObject 
{
    private final XmlProperties xp;

    public XpEvent(Object source, XmlProperties xp) {
	super(source);
	this.xp = xp;
    }

    /**
     * Gets the XML Properties associated with this event.
     */
    public XmlProperties getXp() {
	return xp;
    }
}
