// $Id: ACLAnswer.java,v 1.5 2000/03/08 15:31:19 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.ACL;

/**
 * Used to return an ACL in an answer.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class ACLAnswer
    extends Answer
{  
    private final ACL acl;

    ACLAnswer(boolean error, String message, ACL acl) {
	super(error, message);
	this.acl = acl;
    }

    /**
     * Returns the ACL in this answer.
     */
    public ACL getACL() {
	return acl;
    }
}
