// $Id: ACLChangedEvent.java,v 1.4 2000/03/08 15:31:20 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

import org.mitre.simp.util.ACL;

/**
 * Used to notify that an ACL has changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class ACLChangedEvent 
    extends java.util.EventObject 
{
    private final ACL acl;

    ACLChangedEvent(Object source, ACL acl) {
	super(source);
	this.acl = acl;
    }

    /**
     * Returns the ACL associated with this event.
     */
    public ACL getACL() {
	return acl;
    }
}
