// $Id: AnswerClosure.java,v 1.1 2000/04/13 15:59:35 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The buddy list methods that modify the buddy list require that 
 * answers be returned by invoking a Runnable.
 * @author John D. Ramsdell
 * @version April 2000
 */
public interface AnswerClosure
{  
    /**
     * Creates a runnable from an answer.
     */
    public Runnable invoke(Answer answer);
}
