// $Id: BuddyInfoEvent.java,v 1.3 2000/03/08 15:31:20 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to notify that a buddy's info changed.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class BuddyInfoEvent 
    extends java.util.EventObject 
{
    private final Info info;

    BuddyInfoEvent(Object source, Info info) {
	super(source);
	this.info = info;
    }

    /**
     * Returns the new info.
     */
    public Info getInfo() {
	return info;
    }

}
