// $Id: ConnectionEvent.java,v 1.1 2000/03/10 16:54:13 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to notify that the connection to the server has changed state.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class ConnectionEvent 
    extends java.util.EventObject 
{
    private final String message;

    ConnectionEvent(Object source, String message) {
	super(source);
	this.message = message;
    }

    /**
     * Returns the message associated with this event.
     */
    public String getMessage() {
	return message;
    }
}
