// $Id: DescriptionEvent.java,v 1.1 2000/03/10 16:07:52 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * A description event.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class DescriptionEvent 
    extends java.util.EventObject 
{
    private final String description;

    DescriptionEvent(Object source, String description) {
	super(source);
	this.description = description;
    }

    /**
     * Gets the description associated with this event.
     */
    public String getDescription() {
	return description;
    }
}
