// $Id: DescriptionListener.java,v 1.1 2000/03/10 16:07:52 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The listener interface for receiving description events.
 * @author John D. Ramsdell
 * @version February 2000
 */
public interface DescriptionListener
    extends java.util.EventListener 
{
    /**
     * Invoked when a description changed.
     */
    public void descriptionChanged(DescriptionEvent e);
}
