// $Id: InfoEvent.java,v 1.4 2000/03/08 15:31:21 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * Used to notify that new presence information as arrived.
 * @author John D. Ramsdell
 * @version February 2000
 */
public class InfoEvent 
    extends java.util.EventObject 
{
    private final Info info;

    InfoEvent(Object source, Info info) {
	super(source);
	this.info = info;
    }

    /**
     * Returns the presence info associated with this event.
     */
    public Info getInfo() {
	return info;
    }
}
