// $Id: ProfileListener.java,v 1.3 2000/03/08 15:31:22 ramsdell Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.model;

/**
 * The listener interface for receiving profile changed events.
 * @author John D. Ramsdell
 * @version February 2000
 */
public interface ProfileListener
    extends java.util.EventListener 
{
    /**
     * Invoked when the profile  changed.
     */
    public void profileChanged(ProfileChangedEvent e);
}
