// $Id: BooleanAnswer.java,v 1.2 2000/03/23 16:21:47 gwilliam Exp $

// Copyright (c) 2000. The MITRE Corporation (http://www.mitre.org/).
// All rights reserved.
// The SIMP Service comes with ABSOLUTELY NO WARRANTY.
// See the SIMP Service License Agreement for details.

package org.mitre.simp.client.released;

class BooleanAnswer
{  
    private final boolean error;
    private final String message;
    private final boolean bool;

    BooleanAnswer(boolean error, String message, boolean bool) {
	this.error = error;
	this.message = message;
	this.bool = bool;
    }

    public boolean isError() {
	return error;
    }

    public String getMessage() {
	return message;
    }

    public boolean getValue() {
	return bool;
    }
}
