#! /bin/sh

set -x

dest=$1

if test ! -d $dest
then
  echo $dest does not exist
  exit 1
fi

cp -p simp.jar lib/xp.jar lib/sax.jar \
    lib/Makefile lib/makefile.jmk \
    lib/simp.props $dest
rm -rf $dest/simp $dest/simplauncher.zip
mkdir $dest/simp
cp -p simplauncher.jar lib/simp.sh lib/install.sh $dest/simp

cd $dest
make
